Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 16/11/2012, à 22:34

wallerick

résolu

Bonjour
je suis sur Ubuntu 12.04 et j'ai un message d'erreur lorsque je veux installer les mises jour.
Le message suivant apparait:

Le système de paquets est cassé
Vérifiez si vous utilisez des dépôts de tierces parties. Si c'est le cas, désactivez-les car ils sont parfois source de problèmes.
De plus, exécutez la commande suivante dans un  terminal : sudo apt-get install -f

Les paquets suivants ont des dépendances non-satisfaites :
linux-image-generic-pae: Depends: linux-image-3.2.0-34-generic-pae mais il n'est pas installé

je ne sait pas ce qu'il faut faire et surtout comment faire pour réparer cela .

si quelqu'un peut m aider je lui en serait reconnaissant . d'avance merci

Dernière modification par wallerick (Le 17/11/2012, à 14:32)

Hors ligne

#2 Le 16/11/2012, à 23:11

alca94

Re : résolu

bonsoir
déjà avez vous fait dans le terminal

 sudo apt-get install -f

Hors ligne

#3 Le 17/11/2012, à 10:34

wallerick

Re : résolu

Oui mais voila une copie écran , il manque apparament de l'espace sur le disque pour réparer l'erreur

Dépaquetage de linux-image-3.2.0-34-generic-pae (à partir de .../linux-image-3.2.0-34-generic-pae_3.2.0-34.53_i386.deb) ...
Done.
dpkg : erreur de traitement de /var/cache/apt/archives/linux-image-3.2.0-34-generic-pae_3.2.0-34.53_i386.deb (--unpack) :
impossible de créer « /lib/modules/3.2.0-34-generic-pae/kernel/net/netfilter/xt_RATEEST.ko.dpkg-new » (pendant le traitement de « ./lib/modules/3.2.0-34-generic-pae/kernel/net/netfilter/xt_RATEEST.ko »): Aucun espace disponible sur le périphérique
Aucun rapport « apport » n'a été créé car un disque plein a été signalé
                                                                       dpkg-deb : erreur : le sous-processus coller a été tué par le signal (Relais brisé (pipe))
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-34-generic-pae /boot/vmlinuz-3.2.0-34-generic-pae
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-34-generic-pae /boot/vmlinuz-3.2.0-34-generic-pae
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/linux-image-3.2.0-34-generic-pae_3.2.0-34.53_i386.deb
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages)
W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.
E: Sub-process /usr/bin/dpkg returned an error code (1)
william@william-laptop:~$

Hors ligne

#4 Le 17/11/2012, à 10:35

wallerick

Re : résolu

Bonjour  , je vais tenter de lancer "  apt-get update " comme proposé ......

Hors ligne

#5 Le 17/11/2012, à 10:38

wallerick

Re : résolu

Voici ce que cela donne .
E: Sub-process /usr/bin/dpkg returned an error code (1)
william@william-laptop:~$ sudo apt-get update
sudo apt-get : commande introuvable
william@william-laptop:~$ apt-get update
E: Impossible d'ouvrir le fichier verrou /var/lib/apt/lists/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire /var/lib/apt/lists/
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?
william@william-laptop:~$

Hors ligne

#6 Le 17/11/2012, à 10:45

amael16

Re : résolu

BOnjour voila j'ai aussi un soucis , J'ai fait une manip ...Je n'arrive plus a lancer la logithèque il me dit quelle a fermer  et j'ai voulu passer sur la 12.10 (actuellement en 12.04 LTS) Quand j'ai voulu lancer le gestionnaire de mise a jour il ma mis ce message

""""Un problème irrémédiable est survenu pendant l'initialisation des informations du paquet.Veuillez signaler ce bogue du paquet « update-manager » en y joignant le message d'erreur suivant :'E:Le paquet linux-headers-3.2.0-33 doit être réinstallé, mais il est impossible de trouver son archive.'""""


J'ai chercher un peu sur internet pour essayer de remettre ce paquet .. Mais rien .% Merci de votre aide .

Cordialement
Amael

Hors ligne

#7 Le 17/11/2012, à 11:12

alca94

Re : résolu

@wallerick
Vous pourriez faire du nettoyage avec Ubuntu-tweak par exemple http://doc.ubuntu-fr.org/ubuntu_tweak#nettoyer_ubuntu

Hors ligne

#8 Le 17/11/2012, à 11:15

alca94

Re : résolu

@amael16
vous devriez ouvrir votre propre discussion ,le problème n'est pas le même et vous risquez de rester sans réponses !

Hors ligne

#9 Le 17/11/2012, à 11:28

wallerick

Re : résolu

@ alca94
bonjour et merci pour votre aide  , via le terminal j'ai installé Ubuntu-teak , voir ci-dessous , je vais voir si Ubuntu-teak fonctionne.

Lecture des listes de paquets... Fait
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages)
W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.,
william@william-laptop:~$  sudo apt-get install ubuntu-tweak
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
linux-image-generic-pae : Dépend: linux-image-3.2.0-34-generic-pae mais ne sera pas installé
ubuntu-tweak : Dépend: python-compizconfig mais ne sera pas installé
                Dépend: gir1.2-unique-3.0 mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
william@william-laptop:~$

Hors ligne

#10 Le 17/11/2012, à 11:32

michel_04

Re : résolu

Bonjour,

Tu peux faire un :

df -h

Merci.

A+

Hors ligne

#11 Le 17/11/2012, à 11:34

loubrix

Re : résolu

le disque est plein, ni apt-get ni Ubuntu-tweak ne résoudront le problème...

poste le retour de:

dpkg -l | cut -f 3 -d " " | grep linux-

PS: voir ce fil

Dernière modification par loubrix (Le 17/11/2012, à 11:37)


Asus X50VL - Ubuntu 12.04 AMD64
HP G62 - Ubuntu 12.10 AMD64
Fujitsu-Siemens Amilo EL - Lubuntu 12.04 i686
Manjaro, une rolling pour débutants

Hors ligne

#12 Le 17/11/2012, à 11:41

wallerick

Re : résolu

@michel_04
Voila ce que cela donne , le répertoire /dev/sda2 semble plein !!!!, comment le nettoyer ?

william@william-laptop:~$ df -h
Sys. fich.     Taille Util. Dispo Uti% Monté sur
/dev/sda2         11G  8,9G  766M  93% /
udev             998M  4,0K  998M   1% /dev
tmpfs            402M  924K  401M   1% /run
none             5,0M     0  5,0M   0% /run/lock
none            1005M  400K 1004M   1% /run/shm
/dev/sda4        347G  191G  138G  59% /home
william@william-laptop:~$

Hors ligne

#13 Le 17/11/2012, à 11:44

alca94

Re : résolu

@loubrix
C'est sûr que ça aurai marché si il avait déjà été installé (ubuntu-tweak) mais il ne peut pas faire de nettoyage avec apt-get ?
dans le genre

sudo apt-get update
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get autoremove --purge

Hors ligne

#14 Le 17/11/2012, à 11:52

amael16

Re : résolu

alca94 a écrit :

@amael16
vous devriez ouvrir votre propre discussion ,le problème n'est pas le même et vous risquez de rester sans réponses !

Je fais comment ?

Hors ligne

#15 Le 17/11/2012, à 11:53

michel_04

Re : résolu

Re,

alca94 a écrit :

@loubrix
C'est sûr que ça aurai marché si il avait déjà été installé (ubuntu-tweak) mais il ne peut pas faire de nettoyage avec apt-get ?
dans le genre

sudo apt-get update
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get autoremove --purge

Le problème est certainement dû a une accumulation de linux-image et linux-headers.
Il faudrait virer tout les anciens kernels.
Le poids du kernel s'est vraiment accru au fil des ans.
Garder le Kernel n-1 est recommandé, mais il faut penser à faire du ménage de temps en temps (après chaque mise à jour du kernel, supprimer l'antépénultième).

A+

Hors ligne

#16 Le 17/11/2012, à 11:55

michel_04

Re : résolu

Re,

amael16 a écrit :

Je fais comment ?

---> http://forum.ubuntu-fr.org/viewforum.php?id=25 Cliquer sur Nouvelle discussion.

A+

Hors ligne

#17 Le 17/11/2012, à 11:57

wallerick

Re : résolu

@ loubrix

linux-image-3.2.0-34-generic-pae mais il n'est pas installé car il n'y a plus de place , comment désinstaller a partir de 3.2.0-23 jusqu’à 3.2.0-32 ?

william@william-laptop:~$ dpkg -l | cut -f 3 -d " " | grep linux-
linux-firmware
linux-generic-pae
linux-headers-3.2.0-23
linux-headers-3.2.0-23-generic-pae
linux-headers-3.2.0-24
linux-headers-3.2.0-24-generic-pae
linux-headers-3.2.0-25
linux-headers-3.2.0-25-generic-pae
linux-headers-3.2.0-26
linux-headers-3.2.0-26-generic-pae
linux-headers-3.2.0-27
linux-headers-3.2.0-27-generic-pae
linux-headers-3.2.0-29
linux-headers-3.2.0-29-generic-pae
linux-headers-3.2.0-30
linux-headers-3.2.0-30-generic-pae
linux-headers-3.2.0-31
linux-headers-3.2.0-31-generic-pae
linux-headers-3.2.0-32
linux-headers-3.2.0-32-generic-pae
linux-headers-3.2.0-33
linux-image-3.2.0-23-generic-pae
linux-image-3.2.0-24-generic-pae
linux-image-3.2.0-25-generic-pae
linux-image-3.2.0-26-generic-pae
linux-image-3.2.0-27-generic-pae
linux-image-3.2.0-29-generic-pae
linux-image-3.2.0-30-generic-pae
linux-image-3.2.0-31-generic-pae
linux-image-3.2.0-32-generic-pae
linux-image-3.2.0-33-generic-pae
linux-image-generic-pae
linux-libc-dev
linux-sound-base
syslinux-common
syslinux-legacy
ttf-linux-libertine
william@william-laptop:~$

Hors ligne

#18 Le 17/11/2012, à 12:03

michel_04

Re : résolu

Re,

wallerick a écrit :

@ loubrix
linux-image-3.2.0-34-generic-pae mais il n'est pas installé car il n'y a plus de place , comment désinstaller a partir de 3.2.0-23 jusqu’à 3.2.0-32 ?

loubrix a écrit :

PS: voir ce fil

A+

Hors ligne

#19 Le 17/11/2012, à 12:21

wallerick

Re : résolu

loubrix@
Bonjour
apparemment il faut avoir les privilèges du super utilisateur , question : comment obtenir ces privilèges ?

william@william-laptop:~$ sudo dpkg-P linux-image-3.2.0-23-generic
[sudo] password for william:
sudo: dpkg-P: command not found
william@william-laptop:~$ dpkg -P linux-image-3.2.0-23-generic
dpkg : erreur : l'opération demandée requiert les privilèges du superutilisateur
william@william-laptop:~$

Hors ligne

#20 Le 17/11/2012, à 12:33

alca94

Re : résolu

william@william-laptop:~$ sudo dpkg-P linux-image-3.2.0-23-generic
[sudo] password for william:

vous n'avez pas mis d'espace entre dpkg et -P c'est pour ça

Hors ligne

#21 Le 17/11/2012, à 13:08

wallerick

Re : résolu

@ alca94
J'ai réussi a desinstaller de 3.2.0-23 à 3.2.0-27 , mais  pour les noyeaux 28 et 29 . voila une copie  du message :

william@william-laptop:~$ sudo dpkg -P linux-image-2.2.0-29-generic-pae
[sudo] password for william:
dpkg : avertissement : there's no installed package matching linux-image-2.2.0-29-generic-pae
william@william-laptop:~$

Hors ligne

#22 Le 17/11/2012, à 13:11

wallerick

Re : résolu

j'ai fait une erreur , excusez moi , j'ai indiqué 2.2... au lieu de 3.2.      etc....
je retourne sur le terminal

Hors ligne

#23 Le 17/11/2012, à 13:21

wallerick

Re : résolu

@ alca94
j'ai désinstallé jusqu’à la version 3.2.0-31 , voir copie écran ci dessous , que dois-je faire maintenant ?


Purge des fichiers de configuration de linux-image-3.2.0-31-generic-pae ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-31-generic-pae /boot/vmlinuz-3.2.0-31-generic-pae
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-31-generic-pae /boot/vmlinuz-3.2.0-31-generic-pae
william@william-laptop:~$

Hors ligne

#24 Le 17/11/2012, à 13:33

wallerick

Re : résolu

@ alca94
je viens de lancer sudo apt-get update
puis ensuite , pour voir ce qui restait , dpkg -l | cut -f 3 -d " " | grep linux-
mais apparemment mes anciens noyaux sont toujours là ....

W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.
william@william-laptop:~$ dpkg -l | cut -f 3 -d " " | grep linux-
linux-firmware
linux-generic-pae
linux-headers-3.2.0-23
linux-headers-3.2.0-23-generic-pae
linux-headers-3.2.0-24
linux-headers-3.2.0-24-generic-pae
linux-headers-3.2.0-25
linux-headers-3.2.0-25-generic-pae
linux-headers-3.2.0-26
linux-headers-3.2.0-26-generic-pae
linux-headers-3.2.0-27
linux-headers-3.2.0-27-generic-pae
linux-headers-3.2.0-29
linux-headers-3.2.0-29-generic-pae
linux-headers-3.2.0-30
linux-headers-3.2.0-30-generic-pae
linux-headers-3.2.0-31
linux-headers-3.2.0-31-generic-pae
linux-headers-3.2.0-32
linux-headers-3.2.0-32-generic-pae
linux-headers-3.2.0-33
linux-image-3.2.0-32-generic-pae
linux-image-3.2.0-33-generic-pae
linux-image-generic-pae
linux-libc-dev
linux-sound-base
syslinux-common
syslinux-legacy
ttf-linux-libertine
william@william-laptop:~$

Hors ligne

#25 Le 17/11/2012, à 14:02

alca94

Re : résolu

il faut surtout garder les 2 derniers donc au vu de votre liste les n° 32 et 33
refaite un

df -h

pour voir si vous avez gagnez de la place et éventuellement finir le nettoyage ave ubuntu-tweak

Hors ligne